[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonController.CheckPoint

Send checkpoint signal to the operating system

## Declaration

Source position: daemonapp.pp line 135

`public property TDaemonController.CheckPoint: DWord;`

## Description

CheckPoint can be used to send a checkpoint signal during lengthy operations, to signal that a lengthy operation is in progress. This should be used mainly on windows, to signal the service manager that the service is alive.

## See also

ReportStatus |  | Report the status to the operating system.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.